org.apache.commons.ssl.asn1

## Class BERInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.apache.commons.ssl.asn1.DERInputStream
      - - org.apache.commons.ssl.asn1.BERInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, DERTags

Deprecated.
use ASN1InputStream

    public class BERInputStream
    extends DERInputStream

### Field Summary

Fields
`private static DERObject` `END_OF_STREAM` Deprecated.

### Fields inherited from class java.io.FilterInputStream

`in`

### Fields inherited from interface org.apache.commons.ssl.asn1.DERTags

`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

### Constructor Summary

Constructors
Constructor and Description
`BERInputStream(java.io.InputStream is)` Deprecated.

### Method Summary

Methods
`private BERConstructedOctetString` `buildConstructedOctetString()` Deprecated.
`private byte[]` `readIndefiniteLengthFully()` Deprecated. read a string of bytes representing an indefinite length object.
`DERObject` `readObject()` Deprecated.

### Methods inherited from class org.apache.commons.ssl.asn1.DERInputStream

`buildObject, readFully, readLength`

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### END_OF_STREAM

    private static final DERObject END_OF_STREAM

Deprecated.

### Constructor Detail

#### BERInputStream

    public BERInputStream(java.io.InputStream is)

Deprecated.

### Method Detail

#### readIndefiniteLengthFully

    private byte[] readIndefiniteLengthFully()
                                      throws java.io.IOException

Deprecated.
read a string of bytes representing an indefinite length object.

Throws:
  `java.io.IOException`

#### buildConstructedOctetString

    private BERConstructedOctetString buildConstructedOctetString()
                                                           throws java.io.IOException

Deprecated.

Throws:
  `java.io.IOException`

#### readObject

    public DERObject readObject()
                         throws java.io.IOException

Deprecated.

Overrides:
  `readObject` in class `DERInputStream`
Throws:
  `java.io.IOException`